package com.miaxis.newgzpt.service.impl;

import com.miaxis.common.annotation.DataSource;
import com.miaxis.common.enums.DataSourceTypeEnum;
import com.miaxis.newgzpt.domain.GzptExamQuestion;
import com.miaxis.newgzpt.mapper.GzptExamQuestionMapper;
import com.miaxis.newgzpt.service.IGzptExamQuestionService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 考试题库 服务实现类
 * </p>
 *
 * @author ${author}
 * @since 2021-03-09
 */
@Service
@DataSource(value = DataSourceTypeEnum.NEWGZPT)
public class GzptExamQuestionServiceImpl extends ServiceImpl<GzptExamQuestionMapper, GzptExamQuestion> implements IGzptExamQuestionService {

}
