package com.miaxis.newgzpt.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = false)
public class TrainFinishVO {


    @ApiModelProperty(value = "学时ID")
    private long id; //学时ID

    @ApiModelProperty(value = "开始时间")
    private String startTime; //开始时间

    @ApiModelProperty(value = "结束时间")
    private String endTime;   //结束时间

    @ApiModelProperty(value = "培训学时 单位min")
    private Integer duration;  //培训学时 单位min

    @ApiModelProperty(value = "有效学时分钟数")
    private Integer vaildTime;  //有效学时分钟数

    @ApiModelProperty(value = "培训阶段(1:第一部分2:第二部分3:第三部分4:第四部分)")
    private Integer trainSubject; //培训阶段(1:第一部分2:第二部分3:第三部分4:第四部分)

    @ApiModelProperty(value = "课程编码 1-实操，2-课堂教学，3-模拟器教学，4-远程教学")
    private Integer pxkmType; //课程编码 1-实操，2-课堂教学，3-模拟器教学，4-远程教学；

    @ApiModelProperty(value = "课堂ID")
    private String classId; // 课堂ID 标识学员的一次培训过程，计时终端自行使用 关联学时明细表(电子教学日志编号 平台自主编号)

}
