package com.miaxis.file.service;

import java.util.List;
import com.miaxis.file.domain.FileInfo;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 文件Service接口
 *
 * @author miaxis
 * @date 2021-01-22
 */
public interface IFileInfoService extends IService<FileInfo>{
    /**
     * 查询文件列表
     *
     * @param fileInfo 文件
     * @return 文件集合
     */
    public List<FileInfo> selectFileInfoList(FileInfo fileInfo);
}
