package com.miaxis.newgzpt.service;

import com.miaxis.newgzpt.domain.GzptTrainRecord;
import com.baomidou.mybatisplus.extension.service.IService;
import com.miaxis.newgzpt.dto.TrainCreditDTO;
import com.miaxis.newgzpt.dto.TrainFinishDTO;
import com.miaxis.newgzpt.dto.TrainFinishKmDTO;
import com.miaxis.newgzpt.vo.TrainCreditVO;
import com.miaxis.newgzpt.vo.TrainFinishKmVO;
import com.miaxis.newgzpt.vo.TrainFinishVO;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ${author}
 * @since 2021-03-23
 */
public interface IGzptTrainRecordService extends IService<GzptTrainRecord> {

    void saveGzptTrainRecord(GzptTrainRecord gzptTrainRecord);

    List<TrainFinishVO> getTrainFinishNew(TrainFinishDTO trainFinishDTO);

    List<TrainFinishKmVO> getTrainFinishKm(TrainFinishKmDTO trainFinishKmDTO);

    List<TrainCreditVO> getTrainSubjectCredit(TrainCreditDTO trainCreditDTO);
}
